summaryrefslogtreecommitdiffstats
path: root/abs/extra/network-ups-tools/finish.upsd
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2012-11-26 14:54:12 (GMT)
committerJames Meyer <james.meyer@operamail.com>2012-11-26 14:54:12 (GMT)
commit9d7a918dcf618e4594a78814e3c5a0ace1edbcad (patch)
tree3bceae104f8ccfed9bc1c84b1aea3972ed4eb73f /abs/extra/network-ups-tools/finish.upsd
parent19921178a861f4bb631f6ec05d19fcaebc5836a6 (diff)
downloadlinhes_pkgbuild-9d7a918dcf618e4594a78814e3c5a0ace1edbcad.zip
linhes_pkgbuild-9d7a918dcf618e4594a78814e3c5a0ace1edbcad.tar.gz
linhes_pkgbuild-9d7a918dcf618e4594a78814e3c5a0ace1edbcad.tar.bz2
network-ups-tool: moved to extra from community
Diffstat (limited to 'abs/extra/network-ups-tools/finish.upsd')
-rw-r--r--abs/extra/network-ups-tools/finish.upsd16
1 files changed, 16 insertions, 0 deletions
diff --git a/abs/extra/network-ups-tools/finish.upsd b/abs/extra/network-ups-tools/finish.upsd
new file mode 100644
index 0000000..8eb335b
--- /dev/null
+++ b/abs/extra/network-ups-tools/finish.upsd
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/upsd`
+ stat_runit "Stopping UPSd Daemon"
+ /usr/bin/upsdrvctl stop &> /dev/null
+ /usr/sbin/upsmon -c stop &> /dev/null
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon upsd
+ stat_done
+ fi